package com.xunhong.erp.turbo.api.user.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author shenyifei
 */
@Getter
@RequiredArgsConstructor
public enum SocialTypeEnum {
	/**
	 * 类型
	 */
	MOBILE(1, "手机号码登录"),

	ACCOUNT(2, "账号密码登录"),

	WX_OPEN_ID(3, "微信OPEN_ID登录"),

	WX_UNION_ID(4, "微信UNION_ID登录");

	@EnumValue
	private final int code;

	private final String message;
}
